#
# spec file for package lvm2-clvm (Version 2.02.45)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://sources.redhat.com/cluster/clvm/

Name:           lvm2-clvm
BuildRequires:  device-mapper-devel libdlm-devel libopenais-devel readline-devel
BuildRequires:  libselinux-devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Base
Version:        2.02.45
Release:        2
Requires:       device-mapper >= 1.02.25 lvm2 = %{version} openais
Provides:       clvm
PreReq:         %fillup_prereq %insserv_prereq
AutoReqProv:    on
Summary:        Clustered LVM2
Source:         LVM2.%{version}.tar.bz2
Source1:        lvm.conf
Source2:        boot.lvm
Source3:        sysconfig.lvm
Source4:        mkinitrd-setup.sh
Source5:        mkinitrd-boot.sh
Source6:        64-lvm2.rules
Source7:        collect_lvm
Source8:        clvmd.ocf
Patch:          improve_probing.diff
Patch2:         no-inc-audit.diff
Patch3:         no_buildroot_shared.diff
Patch4:         sys_mount_instead_linux_fs.diff
Patch5:         pvscan_2TB_limit.diff
Patch6:         man_page_sectors.diff
Patch10:        lvm-no_chown.diff
Patch11:        cmdline_large_minor.diff
Patch12:        enable-clvmd.patch
Patch13:        pipe_buff-definition.diff
Patch14:        lvm-pv-create-link.diff
#Patch15:        dmeventd-link-libcmd.diff
Patch16:        clvmd-openais-use-dlm.diff
Patch17:        bug-486952_clvmd-check-returncode-of-dlmrelease.diff
Patch18:        sigterm_in_main_thread.diff
Patch19:        dont_ignore_tmp_device_file.diff
Patch20:        support-drbd-filter.diff
Patch21:        call_cpg_leave_before_shutdown.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
A daemon for using LVM2 Logival Volumes in a clustered environment.



%prep
%setup -n LVM2.%{version}
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch10
%patch11
%patch12
%patch13
%patch14 -p1
#%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" MODPROBE_CMD=/sbin/modprobe \
LDFLAGS="-L /usr/%_lib/openais" \
./configure --prefix=/ \
	--mandir=%{_mandir} \
	--includedir=/usr/include \
	--enable-selinux \
	--enable-cmdlib \
	--libdir=/%_lib --enable-dmeventd --enable-cmdlib \
	--with-clvmd=openais
make

%install
pushd daemons
make install DESTDIR=$RPM_BUILD_ROOT
popd
pushd man
make install DESTDIR=$RPM_BUILD_ROOT
popd
install -D -m 755 $RPM_BUILD_ROOT/sbin/clvmd $RPM_BUILD_ROOT/usr/sbin/clvmd
rm $RPM_BUILD_ROOT/sbin/clvmd
rm $RPM_BUILD_ROOT/sbin/dmeventd
rm $RPM_BUILD_ROOT/usr/include/libdevmapper-event.h
rm $RPM_BUILD_ROOT/%{_lib}/libdevmapper-event-lvm2mirror.*
rm $RPM_BUILD_ROOT/%{_lib}/libdevmapper-event-lvm2snapshot.*
rm $RPM_BUILD_ROOT/%{_lib}/libdevmapper-event.*
rm -rf $RPM_BUILD_ROOT/%{_mandir}/man5
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/lv*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pv*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vg*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/dmsetup*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fsadm*
install -m755 -D %{S:8} $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/lvm2/clvmd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/clvmd
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
%dir /usr/lib/ocf/resource.d/lvm2
/usr/lib/ocf/resource.d/lvm2/clvmd
%{_mandir}/man8/clvmd.8.gz

%changelog
* Mon Apr 27 2009 xwhu@suse.de
- Upgrade to LVM2 2.02.45
  Avoid scanning empty metadata areas for VG names
  Pass --test from lvresize to fsadm as --dry-run.
  Remove duplicate cpg_initialize from clvmd startup.
  Add option to /etc/sysconfig/cluster to select cluster type for clvmd.
  Remove external dependency on the 'cut' command from fsadm.
  Fix pvs segfault when pv mda attributes requested for not available PV.
  Fix lvresize size conversion for fsadm when block size is not 1K.
  Add pv_mda_size to pvs and vg_mda_size to vgs.
  Add "--refresh" functionality to vgchange and vgmknodes.
  Fix vgrename using UUID if there are VGs with identical names.
  Fix segfault when invalid field given in reporting commands.
  Merge device-mapper into the lvm2 tree.
  Exit with non-zero status from vgdisplay if couldn't show any requested VG.
  Fix snapshot monitoring library to not cancel monitoring invalid snapshot.
  Fix conversion of md chunk size into sectors.
  Fix misleading error message when there are no allocatable extents in VG.
  Fix handling of PVs which reappeared with old metadata version.
  Fix mirror DSO to call vgreduce with proper parameters.
  Fix validation of --minor and --major in lvcreate to require -My always.
  Fix release: clvmd build, vgreduce consolidate & tests, /dev/ioerror warning.
* Wed Apr 01 2009 lmb@suse.de
- clvmd: Ensure that the lockspace is released locally even we were the
  lock master, avoiding an unclean shutdown (bnc#490415).
* Tue Mar 31 2009 xwhu@suse.de
- Call cpg_leave before shutting down clvmd
* Wed Mar 25 2009 xwhu@suse.de
- Do not filter out tmp device file(bnc#485572)
* Wed Mar 25 2009 xwhu@suse.de
- Newly splitted off from lvm2, as a independent package now
